% Function that writes parameters for the USFOS head.fem file
function [usfos] = writeusfos(ldcase, endh, resinc)

%nstep = ceil(endh/2);
nstep = endh - ldcase - 55;
timestep = zeros(nstep,1);
time = zeros(nstep,1);
% a = ldcase;
fileID = fopen('usfosparam.dat','w');
fprintf(fileID,'%3s %4s %4s\n',...
    'djur','lastT','push');

  for i = 1:(nstep)
      %timestep(i) = endh - 2*(i-1);
      %time(i) = timestep(i)*resinc;
      timestep(i) = endh - (i-1);
      time(i) = (timestep(i)-3)*resinc;
      
      fprintf(fileID,'%4g %4g %4g\n',...
          time(i),timestep(i),ldcase);
  end
fclose(fileID);
usfos = 'done';




end