#!/bin/bash
#
#Trouble using alias inside script, so reference the ful path to 
#execute usfos and fahts
upath='./../../../USFOS/bin/'
fahts='/cygdrive/c/Users/Eier/Documents/project_thesis/USFOS/bin/./fahts.exe'

# Define the input variables
if [ $# -eq 1 ]; then
  ACTION=$1
elif [ $# -eq 2 ]; then
  ACTION=$1
  CASENAME=$2
else
  echo "20-usfos: Invalid number of argumens supplied."
  exit
fi


# The initialization
if [ $ACTION == "init" ]; then
  # Make a folder for USFOS analysis files
  echo "20-analyse: Creating analysis folders."
  if [ ! -d runs ]; then
    mkdir runs
  fi


# Return the files to look for substitutions in
elif [ $ACTION == "files" -a $# -eq 2 ]; then
  echo "fahtshead.fem runs/$CASENAME/fhead.fem"
#  echo "usfoshead.fem runs/$CASENAME/uhead.fem"
  echo "assembledmodel.fem runs/$CASENAME/model.fem"


# Do the individual analyzes
elif [ $ACTION == "analyze" -a $# -eq 2 ]; then
  echo "20-usfos: Running analysis in Usfos."
  
##  # Go to analysis folder
  casepath='C:/Users/Eier/Documents/project_thesis/TopsideModel/Analyses/stepped/runs/'
#casepath='/runs/$CASENAME/'
  cd ${upath}
#C:/Users/Eier/Documents/project_thesis
  pathanalysis='./../../TopsideModel/Analyses/stepped/runs/'
#

  # Run the FAHTS program
 ./fahts.exe<<EndIn
${pathanalysis}$CASENAME/fhead
${pathanalysis}$CASENAME/model

${pathanalysis}$CASENAME/fresult
EndIn

fi